# pipe.c File Reference

`#include <ubixos/types.h>`
`#include <sys/sysproto.h>`
`#include <sys/thread.h>`
`#include <sys/pipe.h>`
`#include <sys/kern_descrip.h>`
`#include <lib/kprintf.h>`
`#include <assert.h>`

Include dependency graph for pipe.c:

Go to the source code of this file.

## Functions

int | pipe (struct thread *td, struct pipe_args *uap)

## Function Documentation

int pipe | ( | struct thread * | td,
|  | struct pipe_args * | uap |
| ) |  |  |

HACK

Definition at line 41 of file pipe.c.

References file::f_flag, falloc(), file::fd, FREAD, FWRITE, and thread::td_retval.

Here is the call graph for this function: